org.wso2.carbon.proxyadmin.stub.types.carbon

## Class ProxyData

- java.lang.Object
- - org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class ProxyData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  ProxyData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProxyData.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localArtifactContainerName` field for ArtifactContainerName
    `protected boolean` | `localArtifactContainerNameTracker`
    `protected String` | `localDescription` field for Description
    `protected boolean` | `localDescriptionTracker`
    `protected boolean` | `localEnableSecurity` field for EnableSecurity
    `protected boolean` | `localEnableSecurityTracker`
    `protected boolean` | `localEnableStatistics` field for EnableStatistics
    `protected boolean` | `localEnableStatisticsTracker`
    `protected boolean` | `localEnableTracing` field for EnableTracing
    `protected boolean` | `localEnableTracingTracker`
    `protected String` | `localEndpointKey` field for EndpointKey
    `protected boolean` | `localEndpointKeyTracker`
    `protected String` | `localEndpointXML` field for EndpointXML
    `protected boolean` | `localEndpointXMLTracker`
    `protected String` | `localFaultSeqKey` field for FaultSeqKey
    `protected boolean` | `localFaultSeqKeyTracker`
    `protected String` | `localFaultSeqXML` field for FaultSeqXML
    `protected boolean` | `localFaultSeqXMLTracker`
    `protected String` | `localInSeqKey` field for InSeqKey
    `protected boolean` | `localInSeqKeyTracker`
    `protected String` | `localInSeqXML` field for InSeqXML
    `protected boolean` | `localInSeqXMLTracker`
    `protected boolean` | `localIsEdited` field for IsEdited
    `protected boolean` | `localIsEditedTracker`
    `protected String` | `localName` field for Name
    `protected boolean` | `localNameTracker`
    `protected String` | `localOutSeqKey` field for OutSeqKey
    `protected boolean` | `localOutSeqKeyTracker`
    `protected String` | `localOutSeqXML` field for OutSeqXML
    `protected boolean` | `localOutSeqXMLTracker`
    `protected String[]` | `localPinnedServers` field for PinnedServers This was an Array!
    `protected boolean` | `localPinnedServersTracker`
    `protected ProxyServicePolicyInfo[]` | `localPolicies` field for Policies This was an Array!
    `protected boolean` | `localPoliciesTracker`
    `protected String` | `localPreservePolicy` field for PreservePolicy
    `protected boolean` | `localPreservePolicyTracker`
    `protected String` | `localPublishWSDLEndpoint` field for PublishWSDLEndpoint
    `protected boolean` | `localPublishWSDLEndpointTracker`
    `protected boolean` | `localRunning` field for Running
    `protected boolean` | `localRunningTracker`
    `protected String` | `localServiceGroup` field for ServiceGroup
    `protected boolean` | `localServiceGroupTracker`
    `protected Entry[]` | `localServiceParams` field for ServiceParams This was an Array!
    `protected boolean` | `localServiceParamsTracker`
    `protected boolean` | `localStartOnLoad` field for StartOnLoad
    `protected boolean` | `localStartOnLoadTracker`
    `protected String[]` | `localTransports` field for Transports This was an Array!
    `protected boolean` | `localTransportsTracker`
    `protected boolean` | `localWsdlAvailable` field for WsdlAvailable
    `protected boolean` | `localWsdlAvailableTracker`
    `protected String` | `localWsdlDef` field for WsdlDef
    `protected boolean` | `localWsdlDefTracker`
    `protected String` | `localWsdlKey` field for WsdlKey
    `protected boolean` | `localWsdlKeyTracker`
    `protected Entry[]` | `localWsdlResources` field for WsdlResources This was an Array!
    `protected boolean` | `localWsdlResourcesTracker`
    `protected String` | `localWsdlURI` field for WsdlURI
    `protected boolean` | `localWsdlURITracker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPinnedServers(String param)` Auto generated add method for the array for convenience
    `void` | `addPolicies(ProxyServicePolicyInfo param)` Auto generated add method for the array for convenience
    `void` | `addServiceParams(Entry param)` Auto generated add method for the array for convenience
    `void` | `addTransports(String param)` Auto generated add method for the array for convenience
    `void` | `addWsdlResources(Entry param)` Auto generated add method for the array for convenience
    `String` | `getArtifactContainerName()` Auto generated getter method
    `String` | `getDescription()` Auto generated getter method
    `boolean` | `getEnableSecurity()` Auto generated getter method
    `boolean` | `getEnableStatistics()` Auto generated getter method
    `boolean` | `getEnableTracing()` Auto generated getter method
    `String` | `getEndpointKey()` Auto generated getter method
    `String` | `getEndpointXML()` Auto generated getter method
    `String` | `getFaultSeqKey()` Auto generated getter method
    `String` | `getFaultSeqXML()` Auto generated getter method
    `String` | `getInSeqKey()` Auto generated getter method
    `String` | `getInSeqXML()` Auto generated getter method
    `boolean` | `getIsEdited()` Auto generated getter method
    `String` | `getName()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `String` | `getOutSeqKey()` Auto generated getter method
    `String` | `getOutSeqXML()` Auto generated getter method
    `String[]` | `getPinnedServers()` Auto generated getter method
    `ProxyServicePolicyInfo[]` | `getPolicies()` Auto generated getter method
    `String` | `getPreservePolicy()` Auto generated getter method
    `String` | `getPublishWSDLEndpoint()` Auto generated getter method
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `boolean` | `getRunning()` Auto generated getter method
    `String` | `getServiceGroup()` Auto generated getter method
    `Entry[]` | `getServiceParams()` Auto generated getter method
    `boolean` | `getStartOnLoad()` Auto generated getter method
    `String[]` | `getTransports()` Auto generated getter method
    `boolean` | `getWsdlAvailable()` Auto generated getter method
    `String` | `getWsdlDef()` Auto generated getter method
    `String` | `getWsdlKey()` Auto generated getter method
    `Entry[]` | `getWsdlResources()` Auto generated getter method
    `String` | `getWsdlURI()` Auto generated getter method
    `boolean` | `isArtifactContainerNameSpecified()`
    `boolean` | `isDescriptionSpecified()`
    `boolean` | `isEnableSecuritySpecified()`
    `boolean` | `isEnableStatisticsSpecified()`
    `boolean` | `isEnableTracingSpecified()`
    `boolean` | `isEndpointKeySpecified()`
    `boolean` | `isEndpointXMLSpecified()`
    `boolean` | `isFaultSeqKeySpecified()`
    `boolean` | `isFaultSeqXMLSpecified()`
    `boolean` | `isInSeqKeySpecified()`
    `boolean` | `isInSeqXMLSpecified()`
    `boolean` | `isIsEditedSpecified()`
    `boolean` | `isNameSpecified()`
    `boolean` | `isOutSeqKeySpecified()`
    `boolean` | `isOutSeqXMLSpecified()`
    `boolean` | `isPinnedServersSpecified()`
    `boolean` | `isPoliciesSpecified()`
    `boolean` | `isPreservePolicySpecified()`
    `boolean` | `isPublishWSDLEndpointSpecified()`
    `boolean` | `isRunningSpecified()`
    `boolean` | `isServiceGroupSpecified()`
    `boolean` | `isServiceParamsSpecified()`
    `boolean` | `isStartOnLoadSpecified()`
    `boolean` | `isTransportsSpecified()`
    `boolean` | `isWsdlAvailableSpecified()`
    `boolean` | `isWsdlDefSpecified()`
    `boolean` | `isWsdlKeySpecified()`
    `boolean` | `isWsdlResourcesSpecified()`
    `boolean` | `isWsdlURISpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setArtifactContainerName(String param)` Auto generated setter method
    `void` | `setDescription(String param)` Auto generated setter method
    `void` | `setEnableSecurity(boolean param)` Auto generated setter method
    `void` | `setEnableStatistics(boolean param)` Auto generated setter method
    `void` | `setEnableTracing(boolean param)` Auto generated setter method
    `void` | `setEndpointKey(String param)` Auto generated setter method
    `void` | `setEndpointXML(String param)` Auto generated setter method
    `void` | `setFaultSeqKey(String param)` Auto generated setter method
    `void` | `setFaultSeqXML(String param)` Auto generated setter method
    `void` | `setInSeqKey(String param)` Auto generated setter method
    `void` | `setInSeqXML(String param)` Auto generated setter method
    `void` | `setIsEdited(boolean param)` Auto generated setter method
    `void` | `setName(String param)` Auto generated setter method
    `void` | `setOutSeqKey(String param)` Auto generated setter method
    `void` | `setOutSeqXML(String param)` Auto generated setter method
    `void` | `setPinnedServers(String[] param)` Auto generated setter method
    `void` | `setPolicies(ProxyServicePolicyInfo[] param)` Auto generated setter method
    `void` | `setPreservePolicy(String param)` Auto generated setter method
    `void` | `setPublishWSDLEndpoint(String param)` Auto generated setter method
    `void` | `setRunning(boolean param)` Auto generated setter method
    `void` | `setServiceGroup(String param)` Auto generated setter method
    `void` | `setServiceParams(Entry[] param)` Auto generated setter method
    `void` | `setStartOnLoad(boolean param)` Auto generated setter method
    `void` | `setTransports(String[] param)` Auto generated setter method
    `void` | `setWsdlAvailable(boolean param)` Auto generated setter method
    `void` | `setWsdlDef(String param)` Auto generated setter method
    `void` | `setWsdlKey(String param)` Auto generated setter method
    `void` | `setWsdlResources(Entry[] param)` Auto generated setter method
    `void` | `setWsdlURI(String param)` Auto generated setter method
    `protected void` | `validatePinnedServers(String[] param)` validate the array for PinnedServers
    `protected void` | `validatePolicies(ProxyServicePolicyInfo[] param)` validate the array for Policies
    `protected void` | `validateServiceParams(Entry[] param)` validate the array for ServiceParams
    `protected void` | `validateTransports(String[] param)` validate the array for Transports
    `protected void` | `validateWsdlResources(Entry[] param)` validate the array for WsdlResources

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localArtifactContainerName

          protected String localArtifactContainerName

      field for ArtifactContainerName

    - #### localArtifactContainerNameTracker

          protected boolean localArtifactContainerNameTracker

    - #### localDescription

          protected String localDescription

      field for Description

    - #### localDescriptionTracker

          protected boolean localDescriptionTracker

    - #### localEnableSecurity

          protected boolean localEnableSecurity

      field for EnableSecurity

    - #### localEnableSecurityTracker

          protected boolean localEnableSecurityTracker

    - #### localEnableStatistics

          protected boolean localEnableStatistics

      field for EnableStatistics

    - #### localEnableStatisticsTracker

          protected boolean localEnableStatisticsTracker

    - #### localEnableTracing

          protected boolean localEnableTracing

      field for EnableTracing

    - #### localEnableTracingTracker

          protected boolean localEnableTracingTracker

    - #### localEndpointKey

          protected String localEndpointKey

      field for EndpointKey

    - #### localEndpointKeyTracker

          protected boolean localEndpointKeyTracker

    - #### localEndpointXML

          protected String localEndpointXML

      field for EndpointXML

    - #### localEndpointXMLTracker

          protected boolean localEndpointXMLTracker

    - #### localFaultSeqKey

          protected String localFaultSeqKey

      field for FaultSeqKey

    - #### localFaultSeqKeyTracker

          protected boolean localFaultSeqKeyTracker

    - #### localFaultSeqXML

          protected String localFaultSeqXML

      field for FaultSeqXML

    - #### localFaultSeqXMLTracker

          protected boolean localFaultSeqXMLTracker

    - #### localInSeqKey

          protected String localInSeqKey

      field for InSeqKey

    - #### localInSeqKeyTracker

          protected boolean localInSeqKeyTracker

    - #### localInSeqXML

          protected String localInSeqXML

      field for InSeqXML

    - #### localInSeqXMLTracker

          protected boolean localInSeqXMLTracker

    - #### localIsEdited

          protected boolean localIsEdited

      field for IsEdited

    - #### localIsEditedTracker

          protected boolean localIsEditedTracker

    - #### localName

          protected String localName

      field for Name

    - #### localNameTracker

          protected boolean localNameTracker

    - #### localOutSeqKey

          protected String localOutSeqKey

      field for OutSeqKey

    - #### localOutSeqKeyTracker

          protected boolean localOutSeqKeyTracker

    - #### localOutSeqXML

          protected String localOutSeqXML

      field for OutSeqXML

    - #### localOutSeqXMLTracker

          protected boolean localOutSeqXMLTracker

    - #### localPinnedServers

          protected String[] localPinnedServers

      field for PinnedServers This was an Array!

    - #### localPinnedServersTracker

          protected boolean localPinnedServersTracker

    - #### localPolicies

          protected ProxyServicePolicyInfo[] localPolicies

      field for Policies This was an Array!

    - #### localPoliciesTracker

          protected boolean localPoliciesTracker

    - #### localPreservePolicy

          protected String localPreservePolicy

      field for PreservePolicy

    - #### localPreservePolicyTracker

          protected boolean localPreservePolicyTracker

    - #### localPublishWSDLEndpoint

          protected String localPublishWSDLEndpoint

      field for PublishWSDLEndpoint

    - #### localPublishWSDLEndpointTracker

          protected boolean localPublishWSDLEndpointTracker

    - #### localRunning

          protected boolean localRunning

      field for Running

    - #### localRunningTracker

          protected boolean localRunningTracker

    - #### localServiceGroup

          protected String localServiceGroup

      field for ServiceGroup

    - #### localServiceGroupTracker

          protected boolean localServiceGroupTracker

    - #### localServiceParams

          protected Entry[] localServiceParams

      field for ServiceParams This was an Array!

    - #### localServiceParamsTracker

          protected boolean localServiceParamsTracker

    - #### localStartOnLoad

          protected boolean localStartOnLoad

      field for StartOnLoad

    - #### localStartOnLoadTracker

          protected boolean localStartOnLoadTracker

    - #### localTransports

          protected String[] localTransports

      field for Transports This was an Array!

    - #### localTransportsTracker

          protected boolean localTransportsTracker

    - #### localWsdlAvailable

          protected boolean localWsdlAvailable

      field for WsdlAvailable

    - #### localWsdlAvailableTracker

          protected boolean localWsdlAvailableTracker

    - #### localWsdlDef

          protected String localWsdlDef

      field for WsdlDef

    - #### localWsdlDefTracker

          protected boolean localWsdlDefTracker

    - #### localWsdlKey

          protected String localWsdlKey

      field for WsdlKey

    - #### localWsdlKeyTracker

          protected boolean localWsdlKeyTracker

    - #### localWsdlResources

          protected Entry[] localWsdlResources

      field for WsdlResources This was an Array!

    - #### localWsdlResourcesTracker

          protected boolean localWsdlResourcesTracker

    - #### localWsdlURI

          protected String localWsdlURI

      field for WsdlURI

    - #### localWsdlURITracker

          protected boolean localWsdlURITracker

  - ### Constructor Detail

    - #### ProxyData

          public ProxyData()

  - ### Method Detail

    - #### isArtifactContainerNameSpecified

          public boolean isArtifactContainerNameSpecified()

    - #### getArtifactContainerName

          public String getArtifactContainerName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setArtifactContainerName

          public void setArtifactContainerName(String param)

      Auto generated setter method
      Parameters:
        `param` - ArtifactContainerName

    - #### isDescriptionSpecified

          public boolean isDescriptionSpecified()

    - #### getDescription

          public String getDescription()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setDescription

          public void setDescription(String param)

      Auto generated setter method
      Parameters:
        `param` - Description

    - #### isEnableSecuritySpecified

          public boolean isEnableSecuritySpecified()

    - #### getEnableSecurity

          public boolean getEnableSecurity()

      Auto generated getter method
      Returns:
        boolean

    - #### setEnableSecurity

          public void setEnableSecurity(boolean param)

      Auto generated setter method
      Parameters:
        `param` - EnableSecurity

    - #### isEnableStatisticsSpecified

          public boolean isEnableStatisticsSpecified()

    - #### getEnableStatistics

          public boolean getEnableStatistics()

      Auto generated getter method
      Returns:
        boolean

    - #### setEnableStatistics

          public void setEnableStatistics(boolean param)

      Auto generated setter method
      Parameters:
        `param` - EnableStatistics

    - #### isEnableTracingSpecified

          public boolean isEnableTracingSpecified()

    - #### getEnableTracing

          public boolean getEnableTracing()

      Auto generated getter method
      Returns:
        boolean

    - #### setEnableTracing

          public void setEnableTracing(boolean param)

      Auto generated setter method
      Parameters:
        `param` - EnableTracing

    - #### isEndpointKeySpecified

          public boolean isEndpointKeySpecified()

    - #### getEndpointKey

          public String getEndpointKey()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setEndpointKey

          public void setEndpointKey(String param)

      Auto generated setter method
      Parameters:
        `param` - EndpointKey

    - #### isEndpointXMLSpecified

          public boolean isEndpointXMLSpecified()

    - #### getEndpointXML

          public String getEndpointXML()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setEndpointXML

          public void setEndpointXML(String param)

      Auto generated setter method
      Parameters:
        `param` - EndpointXML

    - #### isFaultSeqKeySpecified

          public boolean isFaultSeqKeySpecified()

    - #### getFaultSeqKey

          public String getFaultSeqKey()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setFaultSeqKey

          public void setFaultSeqKey(String param)

      Auto generated setter method
      Parameters:
        `param` - FaultSeqKey

    - #### isFaultSeqXMLSpecified

          public boolean isFaultSeqXMLSpecified()

    - #### getFaultSeqXML

          public String getFaultSeqXML()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setFaultSeqXML

          public void setFaultSeqXML(String param)

      Auto generated setter method
      Parameters:
        `param` - FaultSeqXML

    - #### isInSeqKeySpecified

          public boolean isInSeqKeySpecified()

    - #### getInSeqKey

          public String getInSeqKey()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setInSeqKey

          public void setInSeqKey(String param)

      Auto generated setter method
      Parameters:
        `param` - InSeqKey

    - #### isInSeqXMLSpecified

          public boolean isInSeqXMLSpecified()

    - #### getInSeqXML

          public String getInSeqXML()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setInSeqXML

          public void setInSeqXML(String param)

      Auto generated setter method
      Parameters:
        `param` - InSeqXML

    - #### isIsEditedSpecified

          public boolean isIsEditedSpecified()

    - #### getIsEdited

          public boolean getIsEdited()

      Auto generated getter method
      Returns:
        boolean

    - #### setIsEdited

          public void setIsEdited(boolean param)

      Auto generated setter method
      Parameters:
        `param` - IsEdited

    - #### isNameSpecified

          public boolean isNameSpecified()

    - #### getName

          public String getName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setName

          public void setName(String param)

      Auto generated setter method
      Parameters:
        `param` - Name

    - #### isOutSeqKeySpecified

          public boolean isOutSeqKeySpecified()

    - #### getOutSeqKey

          public String getOutSeqKey()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setOutSeqKey

          public void setOutSeqKey(String param)

      Auto generated setter method
      Parameters:
        `param` - OutSeqKey

    - #### isOutSeqXMLSpecified

          public boolean isOutSeqXMLSpecified()

    - #### getOutSeqXML

          public String getOutSeqXML()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setOutSeqXML

          public void setOutSeqXML(String param)

      Auto generated setter method
      Parameters:
        `param` - OutSeqXML

    - #### isPinnedServersSpecified

          public boolean isPinnedServersSpecified()

    - #### getPinnedServers

          public String[] getPinnedServers()

      Auto generated getter method
      Returns:
        java.lang.String[]

    - #### validatePinnedServers

          protected void validatePinnedServers(String[] param)

      validate the array for PinnedServers

    - #### setPinnedServers

          public void setPinnedServers(String[] param)

      Auto generated setter method
      Parameters:
        `param` - PinnedServers

    - #### addPinnedServers

          public void addPinnedServers(String param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - java.lang.String

    - #### isPoliciesSpecified

          public boolean isPoliciesSpecified()

    - #### getPolicies

          public ProxyServicePolicyInfo[] getPolicies()

      Auto generated getter method
      Returns:
        org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyServicePolicyInfo[]

    - #### validatePolicies

          protected void validatePolicies(ProxyServicePolicyInfo[] param)

      validate the array for Policies

    - #### setPolicies

          public void setPolicies(ProxyServicePolicyInfo[] param)

      Auto generated setter method
      Parameters:
        `param` - Policies

    - #### addPolicies

          public void addPolicies(ProxyServicePolicyInfo param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyServicePolicyInfo

    - #### isPreservePolicySpecified

          public boolean isPreservePolicySpecified()

    - #### getPreservePolicy

          public String getPreservePolicy()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setPreservePolicy

          public void setPreservePolicy(String param)

      Auto generated setter method
      Parameters:
        `param` - PreservePolicy

    - #### isPublishWSDLEndpointSpecified

          public boolean isPublishWSDLEndpointSpecified()

    - #### getPublishWSDLEndpoint

          public String getPublishWSDLEndpoint()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setPublishWSDLEndpoint

          public void setPublishWSDLEndpoint(String param)

      Auto generated setter method
      Parameters:
        `param` - PublishWSDLEndpoint

    - #### isRunningSpecified

          public boolean isRunningSpecified()

    - #### getRunning

          public boolean getRunning()

      Auto generated getter method
      Returns:
        boolean

    - #### setRunning

          public void setRunning(boolean param)

      Auto generated setter method
      Parameters:
        `param` - Running

    - #### isServiceGroupSpecified

          public boolean isServiceGroupSpecified()

    - #### getServiceGroup

          public String getServiceGroup()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setServiceGroup

          public void setServiceGroup(String param)

      Auto generated setter method
      Parameters:
        `param` - ServiceGroup

    - #### isServiceParamsSpecified

          public boolean isServiceParamsSpecified()

    - #### getServiceParams

          public Entry[] getServiceParams()

      Auto generated getter method
      Returns:
        org.wso2.carbon.proxyadmin.stub.types.carbon.Entry[]

    - #### validateServiceParams

          protected void validateServiceParams(Entry[] param)

      validate the array for ServiceParams

    - #### setServiceParams

          public void setServiceParams(Entry[] param)

      Auto generated setter method
      Parameters:
        `param` - ServiceParams

    - #### addServiceParams

          public void addServiceParams(Entry param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - org.wso2.carbon.proxyadmin.stub.types.carbon.Entry

    - #### isStartOnLoadSpecified

          public boolean isStartOnLoadSpecified()

    - #### getStartOnLoad

          public boolean getStartOnLoad()

      Auto generated getter method
      Returns:
        boolean

    - #### setStartOnLoad

          public void setStartOnLoad(boolean param)

      Auto generated setter method
      Parameters:
        `param` - StartOnLoad

    - #### isTransportsSpecified

          public boolean isTransportsSpecified()

    - #### getTransports

          public String[] getTransports()

      Auto generated getter method
      Returns:
        java.lang.String[]

    - #### validateTransports

          protected void validateTransports(String[] param)

      validate the array for Transports

    - #### setTransports

          public void setTransports(String[] param)

      Auto generated setter method
      Parameters:
        `param` - Transports

    - #### addTransports

          public void addTransports(String param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - java.lang.String

    - #### isWsdlAvailableSpecified

          public boolean isWsdlAvailableSpecified()

    - #### getWsdlAvailable

          public boolean getWsdlAvailable()

      Auto generated getter method
      Returns:
        boolean

    - #### setWsdlAvailable

          public void setWsdlAvailable(boolean param)

      Auto generated setter method
      Parameters:
        `param` - WsdlAvailable

    - #### isWsdlDefSpecified

          public boolean isWsdlDefSpecified()

    - #### getWsdlDef

          public String getWsdlDef()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setWsdlDef

          public void setWsdlDef(String param)

      Auto generated setter method
      Parameters:
        `param` - WsdlDef

    - #### isWsdlKeySpecified

          public boolean isWsdlKeySpecified()

    - #### getWsdlKey

          public String getWsdlKey()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setWsdlKey

          public void setWsdlKey(String param)

      Auto generated setter method
      Parameters:
        `param` - WsdlKey

    - #### isWsdlResourcesSpecified

          public boolean isWsdlResourcesSpecified()

    - #### getWsdlResources

          public Entry[] getWsdlResources()

      Auto generated getter method
      Returns:
        org.wso2.carbon.proxyadmin.stub.types.carbon.Entry[]

    - #### validateWsdlResources

          protected void validateWsdlResources(Entry[] param)

      validate the array for WsdlResources

    - #### setWsdlResources

          public void setWsdlResources(Entry[] param)

      Auto generated setter method
      Parameters:
        `param` - WsdlResources

    - #### addWsdlResources

          public void addWsdlResources(Entry param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - org.wso2.carbon.proxyadmin.stub.types.carbon.Entry

    - #### isWsdlURISpecified

          public boolean isWsdlURISpecified()

    - #### getWsdlURI

          public String getWsdlURI()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setWsdlURI

          public void setWsdlURI(String param)

      Auto generated setter method
      Parameters:
        `param` - WsdlURI

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2018 WSO2. All rights reserved.